cURL
curl --request GET \
--url 'https://www.rainbrand.com/api/v1/generations/a1b2c3d4-140f-4491-8a24-b215616ed34a' \
--header "x-api-key: $RAINBRAND_API_KEY"{
"data": {
"id": "a1b2c3d4-140f-4491-8a24-b215616ed34a",
"status": "completed",
"type": "image",
"model": "openai/gpt-image-2.5-sunburst",
"brandSessionId": "e6220a5e-4a68-4d39-8bb9-5105e9a3a164",
"outputs": [
{
"id": "b73f2048-38a5-4ea7-a6f7-5e1b4d06d990",
"type": "image",
"available": true,
"url": "https://www.rainbrand.com/img/b73f2048-38a5-4ea7-a6f7-5e1b4d06d990",
"mimeType": "image/png",
"durationMs": null,
"width": 1536,
"height": 1024
}
],
"failure": null,
"createdAt": "2026-10-24T09:00:00.000Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "GENERATION_NOT_FOUND",
"status": 404,
"message": "Generation not found",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}Generations
Get a generation
Retrieve a generation’s status, outputs, or failure details.
GET
/
generations
/
{id}
cURL
curl --request GET \
--url 'https://www.rainbrand.com/api/v1/generations/a1b2c3d4-140f-4491-8a24-b215616ed34a' \
--header "x-api-key: $RAINBRAND_API_KEY"{
"data": {
"id": "a1b2c3d4-140f-4491-8a24-b215616ed34a",
"status": "completed",
"type": "image",
"model": "openai/gpt-image-2.5-sunburst",
"brandSessionId": "e6220a5e-4a68-4d39-8bb9-5105e9a3a164",
"outputs": [
{
"id": "b73f2048-38a5-4ea7-a6f7-5e1b4d06d990",
"type": "image",
"available": true,
"url": "https://www.rainbrand.com/img/b73f2048-38a5-4ea7-a6f7-5e1b4d06d990",
"mimeType": "image/png",
"durationMs": null,
"width": 1536,
"height": 1024
}
],
"failure": null,
"createdAt": "2026-10-24T09:00:00.000Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "GENERATION_NOT_FOUND",
"status": 404,
"message": "Generation not found",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}Authorizations
apiKeybeareroauth
Path Parameters
Query Parameters
Was this page helpful?